## trapperkeeper-authorization-clojure 2.0.1

=== Makefile ===
include dev-resources/Makefile.i18n

## trapperkeeper-authorization-clojure 1.0.0

=== debian/changelog ===
trapperkeeper-authorization-clojure (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: fix error in dependency name. (Closes: #978154)
  * Rebuild using lein.
  * d/control: update to dh13.
  * d/control: Standards-Version update to 4.5.1. Add Rules-Requires-Root.
  * d/watch: create.
  * d/copyright: fix insecure URI.
  * d/*.examples: install examples.
  * d/tests: add autopkgtests.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 26 Dec 2020 16:01:28 -0500

trapperkeeper-authorization-clojure (1.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #969469)

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Sep 2020 17:12:33 +0200

=== debian/control ===
Source: trapperkeeper-authorization-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 javahelper,
 maven-repo-helper,
 libclojure-java,
 libtools-nrepl-clojure,
 libtools-logging-clojure,
 libslingshot-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libring-mock-clojure,
 libkitchensink-clojure,
 libtrapperkeeper-clojure (>= 3.1.0),
 librbac-client-clojure,
 libpuppetlabs-ring-middleware-clojure (>= 1.3.0),
 libssl-utils-clojure (>= 3.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.0-2),
 libtrapperkeeper-webserver-jetty9-clojure,
 libtools-namespace-clojure,
 libcomplete-clojure <!nocheck>,
 leiningen,
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/clojure-team/trapperkeeper-authorization-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/trapperkeeper-authorization-clojure
Homepage: https://github.com/puppetlabs/trapperkeeper-authorization
Rules-Requires-Root: no

Package: libtrapperkeeper-authorization-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends},
 libclojure-java,
 libtools-nrepl-clojure,
 libtools-logging-clojure,
 libslingshot-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libring-mock-clojure,
 libkitchensink-clojure,
 libtrapperkeeper-clojure (>= 3.1.0),
 librbac-client-clojure,
 libpuppetlabs-ring-middleware-clojure (>= 1.3.0),
 libssl-utils-clojure (>= 3.1.0),
 libpuppetlabs-i18n-clojure (>= 0.9.0-2),
Recommends:
 ${java:Recommends},
Description: authorization service for use with the trapperkeeper service framework
 This project provides an authorization service for use with the trapperkeeper
 service framework. It aims to port Puppet's auth.conf feature to Clojure and
 the trapperkeeper framework, with a different way to express authorization
 rules.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/javahelper/java-vars.mk

export LEIN_HOME=$(CURDIR)/.lein
export LEIN_OFFLINE=true
NAME=trapperkeeper-authorization

%:
	dh $@ --with javahelper --with maven_repo_helper

override_dh_auto_configure:
	cd debian && ln -sf /usr/share/maven-repo .

override_dh_auto_build:
	lein pom debian/pom.xml
	lein i18n make
	lein jar
	# symlinks so we don't need a version in debian/*.poms
	cd target && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM).jar $(NAME).jar
	cd target/test && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM)-test.jar $(NAME)-test.jar

override_dh_auto_test:
	lein test

override_jh_installlibs:
	jh_installlibs target/$(NAME).jar
	jh_installlibs target/test/$(NAME)-test.jar

override_dh_clean:
	rm -f debian/maven-repo
	rm -Rf target ressources
	rm -f debian/pom.xml
	dh_clean

=== debian/tests/control ===
Tests: build
Depends: @, clojure
Restrictions: superficial

# Some problem with the tools-analyzer-jvm-classpath makes this fail, needs to
# be debugged
#Tests: unittests
#Depends: @, clojure

=== debian/watch ===
version=4
opts="mode=git" \
https://github.com/puppetlabs/trapperkeeper-authorization.git \
refs/tags/([\d\.]+)

## trapperkeeper-authorization-clojure 2.0.1

=== debian/changelog ===
trapperkeeper-authorization-clojure (2.0.1-2) unstable; urgency=medium

  * d/patches: fix error message matching test (Closes: #1100326)
  * drop nrepl from classpath attribute (obsolete)
  * d/control: bump Standards-Version, no changes needed

 -- Jérôme Charaoui <jerome@riseup.net>  Mon, 24 Mar 2025 17:31:58 -0400

trapperkeeper-authorization-clojure (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * add bouncycastle to test dependencies
  * d/control: drop nrepl from dependencies
  * d/patches:
    - drop fix, merged upstream
    - drop obsolete testsuite workaround
    + refresh patches for new upstream version
  * d/rules: fix double build issue (Closes: #1049000)
  * d/rules: add libring-codec-clojure dependency

 -- Jérôme Charaoui <jerome@riseup.net>  Thu, 15 Feb 2024 20:57:02 -0500

trapperkeeper-authorization-clojure (1.0.0-4) unstable; urgency=medium

  * d/control: add Breaks: on puppetserver

 -- Jérôme Charaoui <jerome@riseup.net>  Sat, 11 Feb 2023 20:50:02 -0500

trapperkeeper-authorization-clojure (1.0.0-3) unstable; urgency=medium

  [ Louis-Philippe Véronneau ]
  * d/control: New email for the Clojure Team.

  [ Jérôme Charaoui ]
  drop dependency version overrides (Closes: #1030468)
  * d/control
    + add myself to Uploaders
    + use headless jdk in build-deps
    + bump Standards-Version, no changes needed
    + rework test-only build-deps
  * d/patches:
    + require clojure 1.x in project.clj
    + add DEP-3 Forwarded: headers
    + fix tests with latest rbac-client
  * d/rules:
    + honor nocheck flag in build options
    - get rid of override_jh_installlibs
    - ignore nonexisting folder in dh_clean
  * d/tests: reenable upstream tests, streamline classpaths
  * add d/gbp.conf with clojure-team defaults

 -- Jérôme Charaoui <jerome@riseup.net>  Tue, 07 Feb 2023 12:07:54 -0500

=== debian/control ===
Source: trapperkeeper-authorization-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <team+clojure@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Jérôme Charaoui <jerome@riseup.net>,
Build-Depends:
 debhelper-compat (= 13),
 default-jdk-headless,
 javahelper,
 leiningen,
 libbcprov-java <!nocheck>,
 libbcpkix-java <!nocheck>,
 libclojure-java (>= 1.11.1-2),
 libkitchensink-clojure (>= 3.2.1),
 libprismatic-schema-clojure (>= 1.1.12),
 libpuppetlabs-i18n-clojure (>= 0.9.2-2),
 libpuppetlabs-ring-middleware-clojure (>= 1.3.1-3),
 librbac-client-clojure (>= 1.1.4-3),
 libring-codec-clojure,
 libring-mock-clojure (>= 0.4.0-2) <!nocheck>,
 libslingshot-clojure,
 libssl-utils-clojure (>= 3.5.0-2),
 libtools-logging-clojure,
 libtools-namespace-clojure <!nocheck>,
 libtrapperkeeper-clojure (>= 3.2.0-2),
 libtrapperkeeper-webserver-jetty9-clojure (>= 4.4.1-4) <!nocheck>,
 maven-repo-helper,
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/clojure-team/trapperkeeper-authorization-clojure.git
Vcs-Browser: https://salsa.debian.org/clojure-team/trapperkeeper-authorization-clojure
Homepage: https://github.com/puppetlabs/trapperkeeper-authorization
Rules-Requires-Root: no

Package: libtrapperkeeper-authorization-clojure
Architecture: all
Depends:
 libclojure-java,
 libkitchensink-clojure,
 libprismatic-schema-clojure (>= 1.1.12),
 libpuppetlabs-i18n-clojure (>= 0.9.0-2),
 libpuppetlabs-ring-middleware-clojure (>= 1.3.0),
 librbac-client-clojure,
 libring-codec-clojure,
 libslingshot-clojure,
 libssl-utils-clojure (>= 3.1.0),
 libtools-logging-clojure,
 libtrapperkeeper-clojure (>= 3.1.0),
 ${java:Depends},
 ${misc:Depends},
Recommends:
 ${java:Recommends},
Breaks:
 puppetserver (<= 7.9.4-2)
Description: authorization service for use with the trapperkeeper service framework
 This project provides an authorization service for use with the trapperkeeper
 service framework. It aims to port Puppet's auth.conf feature to Clojure and
 the trapperkeeper framework, with a different way to express authorization
 rules.

=== debian/rules ===
--- 
+++ 
@@ -22,14 +22,13 @@
 	cd target/test && ln -sf $(NAME)-$(DEB_VERSION_UPSTREAM)-test.jar $(NAME)-test.jar
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	lein test
-
-override_jh_installlibs:
-	jh_installlibs target/$(NAME).jar
-	jh_installlibs target/test/$(NAME)-test.jar
+endif
 
 override_dh_clean:
+	rm -f .lein-failures
 	rm -f debian/maven-repo
-	rm -Rf target ressources
 	rm -f debian/pom.xml
+	rm -Rf .lein target resources
 	dh_clean

=== debian/tests/control ===
Tests: build
Depends:
 clojure,
 @,
Restrictions: superficial

Tests: upstream
Depends:
 clojure,
 libbcprov-java,
 libbcpkix-java,
 libbultitude-clojure,
 libring-mock-clojure,
 @,
